View Full Version : fglrx 8.42.3 and kernel

30th October 2007, 10:22 AM
fglrx 8.42.3 (from the ati installer) installs fine on, but is not installing a kernel module on, at least for me. Is anyone else seeing this behavior?


30th October 2007, 11:12 AM
I think the morons at ATI have yet to add support for the 2.6.23 kernel , have you tried looking for a ati patch to correct this ( try the phoronix forum )



There is a patch


30th October 2007, 05:26 PM
Livna currently has a fglrx driver for your kernel. Try using that:
rpm -ivh http://rpm.livna.org/livna-release-7.rpm
yum install kmod-fglrx

30th October 2007, 05:39 PM
As of 3am, they didn't have one yet, just one for I'll check at lunch! Thanks!

Pat McClung
1st November 2007, 03:50 PM
Kernel 2.6.23 breaks direct rendering on all ATI Workstation products. There is no apparent way to work around this problem, because the last ATI distribution to support the FireGL video cards is 8.40.4

("The ATI Catalyst™ Linux software suite 8.42.3 does not support ATI Workstation products. AMD recommends using the AMD Proprietary Linux software driver version 8.40.4.")

<https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/linux_8.42.3.html >

and the only fglrx kernel module that will work on Kernel 2.6.23 is 8.42.3, because of the 2.6.23 kernel API changes. I've tried direct installing - compiling everything from source, but there is no way to avoid the kernel module version incompatibility, as the 8.40.4 fglrx-kmod source RPM will not compile with 2.6.23, i. e.

rpmbuild --rebuild --target=i686 fglrx-kmod-8.40.4- --define 'kvariants ""' --define 'kversion `uname -r`'

will not compile with Kernel 2.6.23 due to the API changes.

So I'm reverting to Kernel